Bug 191264 - Undefined debug macros in sys/queue.h
Undefined debug macros in sys/queue.h
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-10 06:28 EDT by Anton Guda
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.4.90-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-12 05:02:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Anton Guda 2006-05-10 06:28:58 EDT
Description of problem:

In header file <sys/queue.h> some new macroses are used:
QUEUEDEBUG_LIST_OP, QUEUEDEBUG_LIST_INSERT_HEAD and so on.
But definitions for this macroses not detected.

Version-Release number of selected component (if applicable):

glibc-2.4.90-6


How reproducible:

Every time.

Steps to Reproduce:
1. Try to compile any program, which uses macroses from <sys/queue.h>.
   For example, nfs-utils.


  
Actual results:

Compilations fails with error message about undefined symbols.

Expected results:

Compilation w/o errors.


Additional info:
Proposition:
define this macros by default as empty, if undefined.
Comment 1 Jakub Jelinek 2006-05-12 05:02:26 EDT
Should be fixed in glibc-2.4.90-7 in rawhide.

Note You need to log in before you can comment on or make changes to this bug.